
Redmine - Defect #1525

Link to view specific revision fails with Subversion Repository subdirectory

2008-06-24 23:30 - Roger Hunwicks

Status: Closed Start date: 2008-06-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

MySql 5.0.22

ruby 1.8.5

Rails 2.0.2

Redmine r1583

svn 1.4.2

Our svn repository is accessed via a subdirectory, e.g http://server/svn/project.

When looking at a changeset, e.g. https://server/redmine/repositories/revision/project/126 the individual files are listed. The filename

is a link to view the specific revision of the file committed in that changeset, e.g. 

https://server/redmine/repositories/entry/project*//*trunk/directory/file.ext?rev=126.

Notice that the link contains // between the project and the start of the path to the file. Clicking this link gives "he entry or revision was

not found in the repository".

If I manually correct the link to remove the second / the link works correctly.

Note that other errors have been reported and fixed relating to the View Differences links on this page when accessing a Subversion

repository in a subdirectory, but this is for the link from the actual filename to see that revision without any diffs.

Thanks

Roger

Associated revisions

Revision 1587 - 2008-06-26 19:02 - Jean-Philippe Lang

Link to view specific file on revision view fails with Subversion repository subdirectory (#1525).

History

#1 - 2008-06-25 13:39 - Paul Rivier

I had some troubles with slashes as well when developing the Filesystem connector. As a workaround, I use some helpers to ensure slashes are not

duplicated (see format_path_ends in filesystem_adapter.rb). If bug is confirmed, and the fix needs such a function, it may be worth to move the

definition in a shared place.

#2 - 2008-06-26 19:02 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Fixed in r1587.
